> For the complete documentation index, see [llms.txt](https://docs.jentis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jentis.com/developer-guide/data-layer/jentis-data-layer/content-and-pageview-tracking.md).

# Content and Pageview Tracking

On the navigation of a visitor to a page, you must use the following syntax to submit a “pageview” interaction.

### **pageview** <a href="#contentandpageviewtracking-pageview" id="contentandpageviewtracking-pageview"></a>

Example JENTIS Data Layer usage:

JavaScriptJavaScript

JS

```js
//do not execute - example only
_jts.push({
  track: "pageview",
  ...
});
```

Copy

**Mandatory Properties**

None - there are only optional properties.

**Optional Properties**

Enlarges the table by opening it in a full screen dialogOpen

| **Name**        | **Description**                                                                      | **Type** | **Example Value**               |
| --------------- | ------------------------------------------------------------------------------------ | -------- | ------------------------------- |
| virtualPagePath | Replace the location with a virtual page URL if the browsers URL is not meaningful.  | string   | /my/virtual/url.html            |
| pagetitle       | Replace the page title if the default title (from document.title) is not meaningful. | string   | myPageName                      |
| breadcrumb      | An array of entries of breadcrumb navigation elements.                               | array    | \["home", "products", "family"] |
| group           | An array of entries to group the page in categories.                                 | array    | \["cms", "storelocator"]        |

**Example**

JavaScript

JS

```js
_jts.push({
    "track"        : "pageview",
    "breadcrumb"   : ["Group1","Group2","Group3"],
    "group"        : ["cms","storefinder"],
});
```

Copy

**Virtual Pageview Tracking**

On single page applications and other occasions it is required to track pageview interactions. That is a situation where they don’t appear as a page load in a browser. Commonly known as virtual pageviews.

### **virtualPageView** <a href="#contentandpageviewtracking-virtualpageview" id="contentandpageviewtracking-virtualpageview"></a>

Example JENTIS Data Layer usage:

JavaScriptJavaScript

JS

```js
//do not execute - example only
_jts.push({
    "track"            : "virtualpageview",
    ...
});
```

Copy

**Mandatory Properties**

Enlarges the table by opening it in a full screen dialogOpen

| **Name**        | **Description**                                               | **Type** | **Example Value**    |
| --------------- | ------------------------------------------------------------- | -------- | -------------------- |
| virtualPagePath | The new location after the virtual navigation in the browser. | string   | /my/virtual/url.html |

**Optional Properties**

Enlarges the table by opening it in a full screen dialogOpen

| **Name**   | **Description**                                                                      | **Type** | **Example Value**               |
| ---------- | ------------------------------------------------------------------------------------ | -------- | ------------------------------- |
| pagetitle  | Replace the page title if the default title (from document.title) is not meaningful. | string   | myPageName                      |
| breadcrumb | An array of entries of breadcrumb navigation elements.                               | array    | \["home", "products", "family"] |
| group      | An array of entries to group the page in categories.                                 | array    | \["cms", "storelocator"]        |

\\


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jentis.com/developer-guide/data-layer/jentis-data-layer/content-and-pageview-tracking.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
